# Test problems:  { name: [assumps,goals], ...}

default = 'McKenzie 4-basis'

problems = {

'McKenzie 4-basis':
[
"""
% This should give a proof in a few seconds.

x v (y ^ (x ^ z)) = x         # label(McKenzie_1).
x ^ (y v (x v z)) = x         # label(McKenzie_2).
((y ^ x) v (x ^ z)) v x = x   # label(McKenzie_3).
((y v x) ^ (x v z)) ^ x = x   # label(McKenzie_4).
"""
,
"""
(x ^ y) ^ z = x ^ (y ^ z)     # label(assoc_meet).
"""
],

'Non-commutative Ring':
[
"""
% noncommutative ring with unit

% This should give a model immediately.

% <+,-,0> is an Abelian group:

0 + x = x.
-x + x = 0.
(x+y)+z = x+(y+z).
x+y = y+x.

% Product is associative:

(x*y)*z = x*(y*z).

% Left and right distributivity:

x*(y+z) = (x*y)+(x*z).
(y+z)*x = (y*x)+(z*x).

% Assume the ring has a unit.

1 * x= x.
x * 1 =x.

"""
,
"""
x * y = y * x.
"""
]

}
